org.apache.flume.conf

## Class FlumeConfigurationError

- java.lang.Object
- - org.apache.flume.conf.FlumeConfigurationError

-     public class FlumeConfigurationError
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlumeConfigurationError.ErrorOrWarning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlumeConfigurationError(String component, String key, FlumeConfigurationErrorType error, FlumeConfigurationError.ErrorOrWarning err)` Component which had an error, specific key in error(which can be null)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentName()`
    `FlumeConfigurationError.ErrorOrWarning` | `getErrorOrWarning()`
    `FlumeConfigurationErrorType` | `getErrorType()`
    `String` | `getKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlumeConfigurationError

          public FlumeConfigurationError(String component,
                                 String key,
                                 FlumeConfigurationErrorType error,
                                 FlumeConfigurationError.ErrorOrWarning err)

      Component which had an error, specific key in error(which can be null)
      Parameters:
        `component` -
        `key` -
        `error` -

  - ### Method Detail

    - #### getComponentName

          public String getComponentName()

    - #### getKey

          public String getKey()

    - #### getErrorType

          public FlumeConfigurationErrorType getErrorType()

    - #### getErrorOrWarning

          public FlumeConfigurationError.ErrorOrWarning getErrorOrWarning()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.